Page MenuHomePhabricator

AMDGPU/R600: Convert kernel param loads to use PARAM_I_ADDRESS
ClosedPublic

Authored by jvesely on Jul 28 2018, 3:46 PM.

Details

Reviewers
arsenm
Summary

Non ext aligned i32 loads are still optimized to use CONSTANT_BUFFER_0.
Fixes remaining regressions since r337535

Diff Detail

Repository
rL LLVM

Event Timeline

jvesely created this revision.Jul 28 2018, 3:46 PM
arsenm accepted this revision.Jul 29 2018, 12:24 AM

LGTM

This revision is now accepted and ready to land.Jul 29 2018, 12:24 AM
jvesely closed this revision.Aug 1 2018, 11:44 AM

Merged as r338610